This connector is optimized for AI agents. For the data replication connector, see Hubspot .
This is the full reference documentation for the Hubspot agent connector.
Supported entities and actions
The Hubspot connector supports the following entities and actions.
Entity Actions Contacts List , Get , API Search , Context Store Search Companies List , Get , API Search , Context Store Search Deals List , Get , API Search , Context Store Search Tickets List , Get , API Search , Context Store Search Schemas List , Get Objects List , Get
Returns a paginated list of contacts
CLI
airbyte-agent connectors execute --json '{ "workspace": "<your_workspace_name>", "name": "hubspot", "entity": "contacts", "action": "list" }'
Python SDK
await hubspot . contacts . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "contacts", "action": "list" }'
Parameters
Parameter Name Type Required Description limitintegerNo The maximum number of results to display per page. afterstringNo The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results. associationsstringNo A comma separated list of associated object types to include in the response. Valid values are contacts, deals, tickets, and custom object type IDs or fully qualified names (e.g., "p12345_cars"). propertiesstringNo A comma separated list of the properties to be returned in the response. If any of the specified properties are not present on the requested object(s), they will be ignored. propertiesWithHistorystringNo A comma separated list of the properties to be returned along with their history of previous values. If any of the specified properties are not present on the requested object(s), they will be ignored. Usage of this parameter will reduce the maximum number of companies that can be read by a single request. archivedbooleanNo Whether to return only results that have been archived.
Response Schema Records Field Name Type Description idstringpropertiesobjectcreatedAtstringupdatedAtstringarchivedbooleanarchivedAtstring | nullpropertiesWithHistoryobject | nullassociationsobject | nullobjectWriteTraceIdstring | nullurlstring | null
Field Name Type Description next_cursorstringnext_linkstring
Get a single contact by ID
CLI
airbyte-agent connectors execute --json '{ "workspace": "<your_workspace_name>", "name": "hubspot", "entity": "contacts", "action": "get", "params": { "contactId": "<str>" } }'
Python SDK
await hubspot . contacts . get ( contact_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "contacts", "action": "get", "params": { "contactId": "<str>" } }'
Parameters
Parameter Name Type Required Description contactIdstringYes Contact ID propertiesstringNo A comma separated list of the properties to be returned in the response. If any of the specified properties are not present on the requested object(s), they will be ignored. propertiesWithHistorystringNo A comma separated list of the properties to be returned along with their history of previous values. If any of the specified properties are not present on the requested object(s), they will be ignored. associationsstringNo A comma separated list of object types to retrieve associated IDs for. If any of the specified associations do not exist, they will be ignored. idPropertystringNo The name of a property whose values are unique for this object. archivedbooleanNo Whether to return only results that have been archived.
Response Schema Records Field Name Type Description idstringpropertiesobjectcreatedAtstringupdatedAtstringarchivedbooleanarchivedAtstring | nullpropertiesWithHistoryobject | nullassociationsobject | nullobjectWriteTraceIdstring | nullurlstring | null
Search for contacts by filtering on properties, searching through associations, and sorting results.
CLI
airbyte-agent connectors execute --json '{ "workspace": "<your_workspace_name>", "name": "hubspot", "entity": "contacts", "action": "api_search" }'
Python SDK
await hubspot . contacts . api_search ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "contacts", "action": "api_search" }'
Parameters
Parameter Name Type Required Description filterGroupsarray<object>No Up to 6 groups of filters defining additional query criteria. filterGroups.filtersarray<object>No filterGroups.filters.operator"BETWEEN" | "CONTAINS_TOKEN" | "EQ" | "GT" | "GTE" | "HAS_PROPERTY" | "IN" | "LT" | "LTE" | "NEQ" | "NOT_CONTAINS_TOKEN" | "NOT_HAS_PROPERTY" | "NOT_IN"No filterGroups.filters.propertyNamestringNo The name of the property to apply the filter on. filterGroups.filters.valuestringNo The value to match against the property. filterGroups.filters.valuesarray<string>No The values to match against the property. propertiesarray<string>No A list of property names to include in the response. limitintegerNo Maximum number of results to return afterstringNo A paging cursor token for retrieving subsequent pages. sortsarray<object>No Sort criteria sorts.propertyNamestringNo sorts.direction"ASCENDING" | "DESCENDING"No querystringNo The search query string, up to 3000 characters.
Response Schema Records Field Name Type Description idstringpropertiesobjectcreatedAtstringupdatedAtstringarchivedbooleanarchivedAtstring | nullpropertiesWithHistoryobject | nullassociationsobject | nullobjectWriteTraceIdstring | nullurlstring | null
Field Name Type Description totalintegernext_cursorstringnext_linkstring
Contacts Context Store Search
Search and filter contacts records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{ "workspace": "<your_workspace_name>", "name": "hubspot", "entity": "contacts", "action": "context_store_search", "params": { "query": { "filter": { "eq": { "archived": true } } } } }'
Python SDK
await hubspot . contacts . context_store_search ( query = { "filter" : { "eq" : { "archived" : True } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "contacts", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"archived": True}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description archivedbooleanBoolean flag indicating whether the contact has been archived or deleted companiesarrayAssociated company records linked to this contact createdAtstringTimestamp indicating when the contact was first created in the system idstringUnique identifier for the contact record propertiesobjectKey-value object storing all contact properties and their values. properties.associatedcompanyidstringID of the associated company properties.createdatestringDate the contact was created properties.emailstringContact email address properties.firstnamestringContact first name properties.hs_object_idstringHubSpot object ID properties.hubspot_owner_idstringID of the HubSpot owner assigned to this contact properties.lastmodifieddatestringLast modified date of the contact properties.lastnamestringContact last name updatedAtstringTimestamp indicating when the contact record was last modified
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].archivedbooleanBoolean flag indicating whether the contact has been archived or deleted data[].companiesarrayAssociated company records linked to this contact data[].createdAtstringTimestamp indicating when the contact was first created in the system data[].idstringUnique identifier for the contact record data[].propertiesobjectKey-value object storing all contact properties and their values. data[].properties.associatedcompanyidstringID of the associated company data[].properties.createdatestringDate the contact was created data[].properties.emailstringContact email address data[].properties.firstnamestringContact first name data[].properties.hs_object_idstringHubSpot object ID data[].properties.hubspot_owner_idstringID of the HubSpot owner assigned to this contact data[].properties.lastmodifieddatestringLast modified date of the contact data[].properties.lastnamestringContact last name data[].updatedAtstringTimestamp indicating when the contact record was last modified
Companies
Companies List
Retrieve all companies, using query parameters to control the information that gets returned.
CLI
airbyte-agent connectors execute --json '{ "workspace": "<your_workspace_name>", "name": "hubspot", "entity": "companies", "action": "list" }'
Python SDK
await hubspot . companies . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "companies", "action": "list" }'
Parameters
Parameter Name Type Required Description limitintegerNo The maximum number of results to display per page. afterstringNo The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results. associationsstringNo A comma separated list of associated object types to include in the response. Valid values are contacts, deals, tickets, and custom object type IDs or fully qualified names (e.g., "p12345_cars"). propertiesstringNo A comma separated list of the properties to be returned in the response. If any of the specified properties are not present on the requested object(s), they will be ignored. propertiesWithHistorystringNo A comma separated list of the properties to be returned along with their history of previous values. If any of the specified properties are not present on the requested object(s), they will be ignored. Usage of this parameter will reduce the maximum number of companies that can be read by a single request. archivedbooleanNo Whether to return only results that have been archived.
Response Schema Records Field Name Type Description idstringpropertiesobjectcreatedAtstringupdatedAtstringarchivedbooleanarchivedAtstring | nullpropertiesWithHistoryobject | nullassociationsobject | nullobjectWriteTraceIdstring | nullurlstring | null
Field Name Type Description next_cursorstringnext_linkstring
Companies Get
Get a single company by ID
CLI
airbyte-agent connectors execute --json '{ "workspace": "<your_workspace_name>", "name": "hubspot", "entity": "companies", "action": "get", "params": { "companyId": "<str>" } }'
Python SDK
await hubspot . companies . get ( company_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "companies", "action": "get", "params": { "companyId": "<str>" } }'
Parameters
Parameter Name Type Required Description companyIdstringYes Company ID propertiesstringNo A comma separated list of the properties to be returned in the response. If any of the specified properties are not present on the requested object(s), they will be ignored. propertiesWithHistorystringNo A comma separated list of the properties to be returned along with their history of previous values. If any of the specified properties are not present on the requested object(s), they will be ignored. associationsstringNo A comma separated list of object types to retrieve associated IDs for. If any of the specified associations do not exist, they will be ignored. idPropertystringNo The name of a property whose values are unique for this object. archivedbooleanNo Whether to return only results that have been archived.
Response Schema Records Field Name Type Description idstringpropertiesobjectcreatedAtstringupdatedAtstringarchivedbooleanarchivedAtstring | nullpropertiesWithHistoryobject | nullassociationsobject | nullobjectWriteTraceIdstring | nullurlstring | null
Companies API Search
Search for companies by filtering on properties, searching through associations, and sorting results.
CLI
airbyte-agent connectors execute --json '{ "workspace": "<your_workspace_name>", "name": "hubspot", "entity": "companies", "action": "api_search" }'
Python SDK
await hubspot . companies . api_search ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "companies", "action": "api_search" }'
Parameters
Parameter Name Type Required Description filterGroupsarray<object>No Up to 6 groups of filters defining additional query criteria. filterGroups.filtersarray<object>No filterGroups.filters.operator"BETWEEN" | "CONTAINS_TOKEN" | "EQ" | "GT" | "GTE" | "HAS_PROPERTY" | "IN" | "LT" | "LTE" | "NEQ" | "NOT_CONTAINS_TOKEN" | "NOT_HAS_PROPERTY" | "NOT_IN"No filterGroups.filters.propertyNamestringNo The name of the property to apply the filter on. filterGroups.filters.valuestringNo The value to match against the property. filterGroups.filters.valuesarray<string>No The values to match against the property. propertiesarray<string>No A list of property names to include in the response. limitintegerNo Maximum number of results to return afterstringNo A paging cursor token for retrieving subsequent pages. sortsarray<object>No Sort criteria sorts.propertyNamestringNo sorts.direction"ASCENDING" | "DESCENDING"No querystringNo The search query string, up to 3000 characters.
Response Schema Records Field Name Type Description idstringpropertiesobjectcreatedAtstringupdatedAtstringarchivedbooleanarchivedAtstring | nullpropertiesWithHistoryobject | nullassociationsobject | nullobjectWriteTraceIdstring | nullurlstring | null
Field Name Type Description totalintegernext_cursorstringnext_linkstring
Companies Context Store Search
Search and filter companies records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{ "workspace": "<your_workspace_name>", "name": "hubspot", "entity": "companies", "action": "context_store_search", "params": { "query": { "filter": { "eq": { "archived": true } } } } }'
Python SDK
await hubspot . companies . context_store_search ( query = { "filter" : { "eq" : { "archived" : True } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "companies", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"archived": True}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description archivedbooleanIndicates whether the company has been deleted and moved to the recycling bin contactsarrayAssociated contact records linked to this company createdAtstringTimestamp when the company record was created idstringUnique identifier for the company record propertiesobjectObject containing all property values for the company properties.createdatestringDate the company was created properties.domainstringCompany domain name properties.hs_lastmodifieddatestringLast modified date of the company properties.hs_object_idstringHubSpot object ID properties.hubspot_owner_idstringID of the HubSpot owner assigned to this company properties.namestringCompany name updatedAtstringTimestamp when the company record was last modified
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].archivedbooleanIndicates whether the company has been deleted and moved to the recycling bin data[].contactsarrayAssociated contact records linked to this company data[].createdAtstringTimestamp when the company record was created data[].idstringUnique identifier for the company record data[].propertiesobjectObject containing all property values for the company data[].properties.createdatestringDate the company was created data[].properties.domainstringCompany domain name data[].properties.hs_lastmodifieddatestringLast modified date of the company data[].properties.hs_object_idstringHubSpot object ID data[].properties.hubspot_owner_idstringID of the HubSpot owner assigned to this company data[].properties.namestringCompany name data[].updatedAtstringTimestamp when the company record was last modified
Deals
Deals List
Returns a paginated list of deals
CLI
airbyte-agent connectors execute --json '{ "workspace": "<your_workspace_name>", "name": "hubspot", "entity": "deals", "action": "list" }'
Python SDK
await hubspot . deals . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "deals", "action": "list" }'
Parameters
Parameter Name Type Required Description limitintegerNo The maximum number of results to display per page. afterstringNo The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results. associationsstringNo A comma separated list of associated object types to include in the response. Valid values are contacts, deals, tickets, and custom object type IDs or fully qualified names (e.g., "p12345_cars"). propertiesstringNo A comma separated list of the properties to be returned in the response. If any of the specified properties are not present on the requested object(s), they will be ignored. propertiesWithHistorystringNo A comma separated list of the properties to be returned along with their history of previous values. If any of the specified properties are not present on the requested object(s), they will be ignored. Usage of this parameter will reduce the maximum number of companies that can be read by a single request. archivedbooleanNo Whether to return only results that have been archived.
Response Schema Records Field Name Type Description idstringpropertiesobjectcreatedAtstringupdatedAtstringarchivedbooleanarchivedAtstring | nullpropertiesWithHistoryobject | nullassociationsobject | nullobjectWriteTraceIdstring | nullurlstring | null
Field Name Type Description next_cursorstringnext_linkstring
Deals Get
Get a single deal by ID
CLI
airbyte-agent connectors execute --json '{ "workspace": "<your_workspace_name>", "name": "hubspot", "entity": "deals", "action": "get", "params": { "dealId": "<str>" } }'
Python SDK
await hubspot . deals . get ( deal_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "deals", "action": "get", "params": { "dealId": "<str>" } }'
Parameters
Parameter Name Type Required Description dealIdstringYes Deal ID propertiesstringNo A comma separated list of the properties to be returned in the response. If any of the specified properties are not present on the requested object(s), they will be ignored. propertiesWithHistorystringNo A comma separated list of the properties to be returned along with their history of previous values. If any of the specified properties are not present on the requested object(s), they will be ignored. associationsstringNo A comma separated list of object types to retrieve associated IDs for. If any of the specified associations do not exist, they will be ignored. idPropertystringNo The name of a property whose values are unique for this object. archivedbooleanNo Whether to return only results that have been archived.
Response Schema Records Field Name Type Description idstringpropertiesobjectcreatedAtstringupdatedAtstringarchivedbooleanarchivedAtstring | nullpropertiesWithHistoryobject | nullassociationsobject | nullobjectWriteTraceIdstring | nullurlstring | null
Deals API Search
Search deals with filters and sorting
CLI
airbyte-agent connectors execute --json '{ "workspace": "<your_workspace_name>", "name": "hubspot", "entity": "deals", "action": "api_search" }'
Python SDK
await hubspot . deals . api_search ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "deals", "action": "api_search" }'
Parameters
Parameter Name Type Required Description filterGroupsarray<object>No Up to 6 groups of filters defining additional query criteria. filterGroups.filtersarray<object>No filterGroups.filters.operator"BETWEEN" | "CONTAINS_TOKEN" | "EQ" | "GT" | "GTE" | "HAS_PROPERTY" | "IN" | "LT" | "LTE" | "NEQ" | "NOT_CONTAINS_TOKEN" | "NOT_HAS_PROPERTY" | "NOT_IN"No filterGroups.filters.propertyNamestringNo The name of the property to apply the filter on. filterGroups.filters.valuestringNo The value to match against the property. filterGroups.filters.valuesarray<string>No The values to match against the property. propertiesarray<string>No A list of property names to include in the response. limitintegerNo Maximum number of results to return afterstringNo A paging cursor token for retrieving subsequent pages. sortsarray<object>No Sort criteria sorts.propertyNamestringNo sorts.direction"ASCENDING" | "DESCENDING"No querystringNo The search query string, up to 3000 characters.
Response Schema Records Field Name Type Description idstringpropertiesobjectcreatedAtstringupdatedAtstringarchivedbooleanarchivedAtstring | nullpropertiesWithHistoryobject | nullassociationsobject | nullobjectWriteTraceIdstring | nullurlstring | null
Field Name Type Description totalintegernext_cursorstringnext_linkstring
Deals Context Store Search
Search and filter deals records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{ "workspace": "<your_workspace_name>", "name": "hubspot", "entity": "deals", "action": "context_store_search", "params": { "query": { "filter": { "eq": { "archived": true } } } } }'
Python SDK
await hubspot . deals . context_store_search ( query = { "filter" : { "eq" : { "archived" : True } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "deals", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"archived": True}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description archivedbooleanIndicates whether the deal has been deleted and moved to the recycling bin companiesarrayCollection of company records associated with the deal contactsarrayCollection of contact records associated with the deal createdAtstringTimestamp when the deal record was originally created idstringUnique identifier for the deal record line_itemsarrayCollection of product line items associated with the deal propertiesobjectKey-value object containing all deal properties and custom fields properties.amountstringDeal amount properties.closedatestringExpected close date of the deal properties.createdatestringDate the deal was created properties.dealnamestringDeal name properties.dealstagestringCurrent deal stage properties.hs_lastmodifieddatestringLast modified date of the deal properties.hs_object_idstringHubSpot object ID properties.hubspot_owner_idstringID of the HubSpot owner assigned to this deal properties.pipelinestringDeal pipeline updatedAtstringTimestamp when the deal record was last modified
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].archivedbooleanIndicates whether the deal has been deleted and moved to the recycling bin data[].companiesarrayCollection of company records associated with the deal data[].contactsarrayCollection of contact records associated with the deal data[].createdAtstringTimestamp when the deal record was originally created data[].idstringUnique identifier for the deal record data[].line_itemsarrayCollection of product line items associated with the deal data[].propertiesobjectKey-value object containing all deal properties and custom fields data[].properties.amountstringDeal amount data[].properties.closedatestringExpected close date of the deal data[].properties.createdatestringDate the deal was created data[].properties.dealnamestringDeal name data[].properties.dealstagestringCurrent deal stage data[].properties.hs_lastmodifieddatestringLast modified date of the deal data[].properties.hs_object_idstringHubSpot object ID data[].properties.hubspot_owner_idstringID of the HubSpot owner assigned to this deal data[].properties.pipelinestringDeal pipeline data[].updatedAtstringTimestamp when the deal record was last modified
Tickets
Tickets List
Returns a paginated list of tickets
CLI
airbyte-agent connectors execute --json '{ "workspace": "<your_workspace_name>", "name": "hubspot", "entity": "tickets", "action": "list" }'
Python SDK
await hubspot . tickets . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tickets", "action": "list" }'
Parameters
Parameter Name Type Required Description limitintegerNo The maximum number of results to display per page. afterstringNo The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results. associationsstringNo A comma separated list of associated object types to include in the response. Valid values are contacts, deals, tickets, and custom object type IDs or fully qualified names (e.g., "p12345_cars"). propertiesstringNo A comma separated list of the properties to be returned in the response. If any of the specified properties are not present on the requested object(s), they will be ignored. propertiesWithHistorystringNo A comma separated list of the properties to be returned along with their history of previous values. If any of the specified properties are not present on the requested object(s), they will be ignored. Usage of this parameter will reduce the maximum number of companies that can be read by a single request. archivedbooleanNo Whether to return only results that have been archived.
Response Schema Records Field Name Type Description idstringpropertiesobjectcreatedAtstringupdatedAtstringarchivedbooleanarchivedAtstring | nullpropertiesWithHistoryobject | nullassociationsobject | nullobjectWriteTraceIdstring | nullurlstring | null
Field Name Type Description next_cursorstringnext_linkstring
Tickets Get
Get a single ticket by ID
CLI
airbyte-agent connectors execute --json '{ "workspace": "<your_workspace_name>", "name": "hubspot", "entity": "tickets", "action": "get", "params": { "ticketId": "<str>" } }'
Python SDK
await hubspot . tickets . get ( ticket_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tickets", "action": "get", "params": { "ticketId": "<str>" } }'
Parameters
Parameter Name Type Required Description ticketIdstringYes Ticket ID propertiesstringNo A comma separated list of the properties to be returned in the response. If any of the specified properties are not present on the requested object(s), they will be ignored. propertiesWithHistorystringNo A comma separated list of the properties to be returned along with their history of previous values. If any of the specified properties are not present on the requested object(s), they will be ignored. associationsstringNo A comma separated list of object types to retrieve associated IDs for. If any of the specified associations do not exist, they will be ignored. idPropertystringNo The name of a property whose values are unique for this object. archivedbooleanNo Whether to return only results that have been archived.
Response Schema Records Field Name Type Description idstringpropertiesobjectcreatedAtstringupdatedAtstringarchivedbooleanarchivedAtstring | nullpropertiesWithHistoryobject | nullassociationsobject | nullobjectWriteTraceIdstring | nullurlstring | null
Tickets API Search
Search for tickets by filtering on properties, searching through associations, and sorting results.
CLI
airbyte-agent connectors execute --json '{ "workspace": "<your_workspace_name>", "name": "hubspot", "entity": "tickets", "action": "api_search" }'
Python SDK
await hubspot . tickets . api_search ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tickets", "action": "api_search" }'
Parameters
Parameter Name Type Required Description filterGroupsarray<object>No Up to 6 groups of filters defining additional query criteria. filterGroups.filtersarray<object>No filterGroups.filters.operator"BETWEEN" | "CONTAINS_TOKEN" | "EQ" | "GT" | "GTE" | "HAS_PROPERTY" | "IN" | "LT" | "LTE" | "NEQ" | "NOT_CONTAINS_TOKEN" | "NOT_HAS_PROPERTY" | "NOT_IN"No filterGroups.filters.propertyNamestringNo The name of the property to apply the filter on. filterGroups.filters.valuestringNo The value to match against the property. filterGroups.filters.valuesarray<string>No The values to match against the property. propertiesarray<string>No A list of property names to include in the response. limitintegerNo Maximum number of results to return afterstringNo A paging cursor token for retrieving subsequent pages. sortsarray<object>No Sort criteria sorts.propertyNamestringNo sorts.direction"ASCENDING" | "DESCENDING"No querystringNo The search query string, up to 3000 characters.
Response Schema Records Field Name Type Description idstringpropertiesobjectcreatedAtstringupdatedAtstringarchivedbooleanarchivedAtstring | nullpropertiesWithHistoryobject | nullassociationsobject | nullobjectWriteTraceIdstring | nullurlstring | null
Field Name Type Description totalintegernext_cursorstringnext_linkstring
Tickets Context Store Search
Search and filter tickets records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{ "workspace": "<your_workspace_name>", "name": "hubspot", "entity": "tickets", "action": "context_store_search", "params": { "query": { "filter": { "eq": { "archived": true } } } } }'
Python SDK
await hubspot . tickets . context_store_search ( query = { "filter" : { "eq" : { "archived" : True } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tickets", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"archived": True}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description archivedbooleanIndicates whether the ticket has been deleted and moved to the recycling bin companiesarrayCollection of company records associated with the ticket contactsarrayCollection of contact records associated with the ticket createdAtstringTimestamp when the ticket record was originally created idstringUnique identifier for the ticket record propertiesobjectObject containing all property values for the ticket properties.contentstringTicket content/description properties.createdatestringDate the ticket was created properties.hs_lastmodifieddatestringLast modified date of the ticket properties.hs_object_idstringHubSpot object ID properties.hs_pipelinestringTicket pipeline properties.hs_pipeline_stagestringCurrent pipeline stage of the ticket properties.hs_ticket_categorystringTicket category properties.hs_ticket_prioritystringTicket priority level properties.subjectstringTicket subject line updatedAtstringTimestamp when the ticket record was last modified
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].archivedbooleanIndicates whether the ticket has been deleted and moved to the recycling bin data[].companiesarrayCollection of company records associated with the ticket data[].contactsarrayCollection of contact records associated with the ticket data[].createdAtstringTimestamp when the ticket record was originally created data[].idstringUnique identifier for the ticket record data[].propertiesobjectObject containing all property values for the ticket data[].properties.contentstringTicket content/description data[].properties.createdatestringDate the ticket was created data[].properties.hs_lastmodifieddatestringLast modified date of the ticket data[].properties.hs_object_idstringHubSpot object ID data[].properties.hs_pipelinestringTicket pipeline data[].properties.hs_pipeline_stagestringCurrent pipeline stage of the ticket data[].properties.hs_ticket_categorystringTicket category data[].properties.hs_ticket_prioritystringTicket priority level data[].properties.subjectstringTicket subject line data[].updatedAtstringTimestamp when the ticket record was last modified
Schemas
Schemas List
Returns all custom object schemas to discover available custom objects
CLI
airbyte-agent connectors execute --json '{ "workspace": "<your_workspace_name>", "name": "hubspot", "entity": "schemas", "action": "list" }'
Python SDK
await hubspot . schemas . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "schemas", "action": "list" }'
Parameters
Parameter Name Type Required Description archivedbooleanNo Whether to return only results that have been archived.
Response Schema Records Field Name Type Description idstringnamestringlabelsobjectobjectTypeIdstringfullyQualifiedNamestringrequiredPropertiesarray<string>searchablePropertiesarray<string>primaryDisplayPropertystringsecondaryDisplayPropertiesarray<string>descriptionstring | nullallowsSensitivePropertiesbooleanarchivedbooleanrestorablebooleanmetaTypestringcreatedByUserIdintegerupdatedByUserIdintegerpropertiesarray<object>associationsarray<object>createdAtstringupdatedAtstring
Schemas Get
Get the schema for a specific custom object type
CLI
airbyte-agent connectors execute --json '{ "workspace": "<your_workspace_name>", "name": "hubspot", "entity": "schemas", "action": "get", "params": { "objectType": "<str>" } }'
Python SDK
await hubspot . schemas . get ( object_type = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "schemas", "action": "get", "params": { "objectType": "<str>" } }'
Parameters
Parameter Name Type Required Description objectTypestringYes Fully qualified name or object type ID of your schema.
Response Schema Records Field Name Type Description idstringnamestringlabelsobjectobjectTypeIdstringfullyQualifiedNamestringrequiredPropertiesarray<string>searchablePropertiesarray<string>primaryDisplayPropertystringsecondaryDisplayPropertiesarray<string>descriptionstring | nullallowsSensitivePropertiesbooleanarchivedbooleanrestorablebooleanmetaTypestringcreatedByUserIdintegerupdatedByUserIdintegerpropertiesarray<object>associationsarray<object>createdAtstringupdatedAtstring
Objects
Objects List
Read a page of objects. Control what is returned via the properties query param.
CLI
airbyte-agent connectors execute --json '{ "workspace": "<your_workspace_name>", "name": "hubspot", "entity": "objects", "action": "list", "params": { "objectType": "<str>" } }'
Python SDK
await hubspot . objects . list ( object_type = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "objects", "action": "list", "params": { "objectType": "<str>" } }'
Parameters
Parameter Name Type Required Description objectTypestringYes Object type ID or fully qualified name (e.g., "cars" or "p12345_cars") limitintegerNo The maximum number of results to display per page. afterstringNo The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results. propertiesstringNo A comma separated list of the properties to be returned in the response. If any of the specified properties are not present on the requested object(s), they will be ignored. archivedbooleanNo Whether to return only results that have been archived. associationsstringNo A comma separated list of object types to retrieve associated IDs for. If any of the specified associations do not exist, they will be ignored. propertiesWithHistorystringNo A comma separated list of the properties to be returned along with their history of previous values. If any of the specified properties are not present on the requested object(s), they will be ignored.
Response Schema Records Field Name Type Description idstringpropertiesobjectcreatedAtstringupdatedAtstringarchivedbooleanarchivedAtstring | nullpropertiesWithHistoryobject | nullassociationsobject | nullobjectWriteTraceIdstring | nullurlstring | null
Field Name Type Description next_cursorstringnext_linkstring
Objects Get
Read an Object identified by {objectId}. {objectId} refers to the internal object ID by default, or optionally any unique property value as specified by the idProperty query param. Control what is returned via the properties query param.
CLI
airbyte-agent connectors execute --json '{ "workspace": "<your_workspace_name>", "name": "hubspot", "entity": "objects", "action": "get", "params": { "objectType": "<str>", "objectId": "<str>" } }'
Python SDK
await hubspot . objects . get ( object_type = "<str>" , object_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "objects", "action": "get", "params": { "objectType": "<str>", "objectId": "<str>" } }'
Parameters
Parameter Name Type Required Description objectTypestringYes Object type ID or fully qualified name objectIdstringYes Object record ID propertiesstringNo A comma separated list of the properties to be returned in the response. If any of the specified properties are not present on the requested object(s), they will be ignored. archivedbooleanNo Whether to return only results that have been archived. associationsstringNo A comma separated list of object types to retrieve associated IDs for. If any of the specified associations do not exist, they will be ignored. idPropertystringNo The name of a property whose values are unique for this object. propertiesWithHistorystringNo A comma separated list of the properties to be returned along with their history of previous values. If any of the specified properties are not present on the requested object(s), they will be ignored.
Response Schema Records Field Name Type Description idstringpropertiesobjectcreatedAtstringupdatedAtstringarchivedbooleanarchivedAtstring | nullpropertiesWithHistoryobject | nullassociationsobject | nullobjectWriteTraceIdstring | nullurlstring | null